/* libcondrv - kp.c (KeyPast sample) */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <condrv.h>

int
main (int argc, char* argv[])
{
  int i;
  int len = 1;
  char* buf = NULL;

  if (argc == 1)
    {
      (void) printf ("usage: kp string ...\n");
      return 1;
    }

  if (condrv_getver () < 0)
    {
      (void) printf ("condrv(em).sys gݍ܂Ă܂.\n");
      return 1;
    }

  for (i = 1; i < argc; i++)
    {
      len += strlen (argv[i]) + strlen ("\r");
      if ((buf = realloc (buf, len)) == NULL)
	{
	  (void) printf ("܂.\n");
	  return 1;
	}
      if (i == 1)
	*buf = 0;
      strcat (strcat (buf, argv[i]), "\r");
    }

  if (condrv_get_keybuf_len () <= len)
    {
      (void) printf ("L[y[Xgobt@̗eʂ܂.\n");
      return 1;
    }
  condrv_keypast (buf, len);

  return 0;
}
